# $Id: perl-URPM.spec 36978 2006-06-12 10:31:28Z rafael $

%define name perl-URPM
%define real_name URPM
%define version 3.30.1
%define subrel 1
%define release %mkrel 1

%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr/i ? "Development/Perl" : "Applications/CPAN"')
%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{expand:%%define compat_makeinstall_std %(perl -e 'printf "%%s\n", "%{?makeinstall_std:1}" ? "%%makeinstall_std" : "%%{__make} install PREFIX=%%{buildroot}%%{_prefix}"')}
%{expand:%%define compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}
%{expand:%%define real_release %%(perl -e 'printf "%%s\\n", ("%_vendor" !~ /\\bmandr/i && ("%release" =~ /(.*?)mdk/)[0] || "%release")')}

Summary:	URPM module for perl
Name:		%{name}
Version:	%{version}
Release:	%{real_release}
License:	GPL or Artistic
Group:		%{group}
Source:		%{real_name}-%{version}.tar.bz2
URL:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/perl-URPM/
BuildRequires:	perl%{?mdkversion:-devel}
BuildRequires:	rpm-devel >= 4.2.3
BuildRequires:	perl(MDV::Packdrakeng)

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Conflicts:	urpmi <= 4.10.17
Conflicts:	drakx-installer-stage2 <= 10.5.6

%define _requires_exceptions perl(URPM::DB)\\|perl(URPM::Package)\\|perl(URPM::Transaction)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{compat_makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so







%changelog
* Mon Oct 05 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.30.1-1.1mdv2009.1
+ Revision: 454000
- 3.30.1:
- perl-URPM can sometimes get confused about which GPG pubkey belong to which media

* Mon May 18 2009 Security Team <security@mandriva.com> 3.30-1.1mdv2009.1
+ Revision: 376900
- built for updates

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Prep 3.30 update
    - fix regression introduced by fix for bug #47803 (fix by Anssi Hannula).
      Without this patch, urpmi got stuck in an infinite loop when trying
      to upgrade from 2008.1.

* Fri Mar 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.29-1mdv2009.1
+ Revision: 361620
- 3.29:
- fix regression introduced by fix for bug #47803 (fix by Anssi Hannula).
  Without this patch, urpmi got stuck in an infinite loop when trying
  to upgrade from 2008.1.

* Wed Mar 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.28-1mdv2009.1
+ Revision: 361025
- 3.28:
- postpone user choices as much as possible to avoid asking the user
  unnecessary questions, (bug #48100, Anssi Hannula)
- 3.27:
- don't silently install suggests (bug #47934)
- fix _handle_diff_provides in case of impossible-to-satisfy selected
  packages (bug #48223, Anssi Hannula)
- check rep for another pkg providing X if the prev pkg gets removed
  due to a conflict (bug #47803, Anssi Hannula)

* Thu Mar 05 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.26-1mdv2009.1
+ Revision: 348828
- verify_signature: enable to check signatures against a chrooted rpmdb
  (especially important for installer where there's no rpmdb in / and thus no
  keys to check against)

* Fri Jan 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.25-1mdv2009.1
+ Revision: 330199
- 3.25
- previous fix for bug #46874 was bogus, really fix it this time

* Tue Jan 13 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.24-1mdv2009.1
+ Revision: 329026
- 3.24
- fix sorting choices on provided version (feature introduced in 3.08,
  but was not working if packages were coming from different repository)
- when a "Requires:" can be fullfilled by several different packages and
  one of those packages is explicitly required by another package which
  is also being installed, silently choose this package instead of letting
  the choice up to perl-URPM user (fixes bug #46874)

* Mon Dec 15 2008 Pixel <pixel@mandriva.com> 3.23-1mdv2009.1
+ Revision: 314472
- 3.23: fix bad free() (thanks to glibc for detecting it)

* Fri Dec 12 2008 Pixel <pixel@mandriva.com> 3.22-1mdv2009.1
+ Revision: 313619
- 3.22:
- fix scriptlet failing:
  adapt to librpm4.6, rpmtsSetRootDir(ts, "") is forbidden

* Tue Dec 09 2008 Pixel <pixel@mandriva.com> 3.21-1mdv2009.1
+ Revision: 312302
- 3.21:
- adapt to librpm4.6
- drop list_rpm_tag()

* Tue Oct 14 2008 Pixel <pixel@mandriva.com> 3.20-1mdv2009.1
+ Revision: 293731
- 3.20:
- $trans->run can now return both the translated errors, and some parsable
  errors (useful for example to detect diskspace issues)

* Tue Oct 07 2008 Pixel <pixel@mandriva.com> 3.19-1mdv2009.0
+ Revision: 291158
- 3.19: handle flag "replacefiles"

* Mon Jul 07 2008 Pixel <pixel@mandriva.com> 3.18-1mdv2009.0
+ Revision: 232635
- 3.18:
- revert change introduced in 3.16 (it breaks too much, eg
  superuser--priority-upgrade.t test case), and introduce
  $state->{rejected_already_installed} instead
- add traverse_tag_find(), removed_or_obsoleted_packages()
- handle $state->{orphans_to_remove} in selected_size() and
  build_transaction_set()

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 3.16-1mdv2009.0
+ Revision: 229288
- 3.16:
- when not selecting a package because already installed,
  put it in $state->{rejected} with flags {installed}

* Tue Jun 24 2008 Pixel <pixel@mandriva.com> 3.15-1mdv2009.0
+ Revision: 228517
- 3.15: fix urpmi wrongly considering epochless conflicts to match any epoch
  in a case when urpmi should upgrade a conflicting package to an actually
  non-conflicting version (cf epochless-conflict-with-promotion urpmi test)
  (Anssi)

* Fri May 23 2008 Pixel <pixel@mandriva.com> 3.14-1mdv2009.0
+ Revision: 210240
- 3.14: add is_package_installed() in URPM/Resolve.pm (to be used in urpmi 5.20)

* Tue May 20 2008 Pixel <pixel@mandriva.com> 3.13-1mdv2009.0
+ Revision: 209327
- 3.13: do not ignore dropped provide from updated package (mdvbz#40842)

* Fri Mar 07 2008 Pixel <pixel@mandriva.com> 3.12-1mdv2008.1
+ Revision: 181373
- 3.12:
- do allow to promoting a pkg even if it has unsatisfied require (since the
  code will then fix the unsatisfied require). fixes "big transaction"
  (cf urpmi split-transactions--strict-require.t test_efgh())
- rpm5.org port done (by Per Oyvind Karlsen)

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 3.11-1mdv2008.1
+ Revision: 176218
- 3.11:
- restore FILENAME_TAG in generated hdlist (to be compatible with older
  distros where ->filename can rely on it) (thanks to Nanar)

* Tue Feb 26 2008 Pixel <pixel@mandriva.com> 3.10-1mdv2008.1
+ Revision: 175188
- 3.10:
- add filesize to synthesis, add ->filesize to get it, and add
  selected_size_filesize() to compute the sum
- allow urpmi to know a package was not selected because a newer version is
  installed (#29838)
- handle new package providing xxx which conflicts with an installed package (#17106)
- fix sort choices changed in perl-URPM 3.08
- allow fixing "using one big transaction" that occurs when using --keep
  (#30198)
- do not add FILENAME_TAG and FILESIZE_TAG to hdlist anymore,
  deprecate ->filename and ->header_filename,
  deprecate URPM::Build build_hdlist and parse_rpms_build_headers

* Mon Feb 25 2008 Pixel <pixel@mandriva.com> 3.08-1mdv2008.1
+ Revision: 174608
- 3.08: sort choices on virtual package by provided version (#12645)

* Fri Jan 25 2008 Pixel <pixel@mandriva.com> 3.07-3mdv2008.1
+ Revision: 157996
- we can now expect librpm API to be backward compatible

* Sun Jan 13 2008 Pixel <pixel@mandriva.com> 3.07-2mdv2008.1
+ Revision: 150905
- rebuild for perl 5.10.0

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 3.07-1mdv2008.1
+ Revision: 147885
- 3.07: fix regression in release 3.06

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 3.06-1mdv2008.1
+ Revision: 147880
- 3.06:
- add URPM::Package->changelogs, a wrapper around ->changelog_time, ->changelog_name, ->changelog_text
- resolve kmod requires even if first choice is a source dkms

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 3.05-2mdv2008.1
+ Revision: 146591
- force rebuild
- 3.05: fix regression in ->parse_rpm (introduced in 3.00)
  (was breaking genhdlist2 and mkcd)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Pixel <pixel@mandriva.com> 3.04-1mdv2008.1
+ Revision: 135514
- 3.04: fix regression in parse_pubkeys() (introduced in 3.00) (#36121)
- 3.03:
- suggests:
  handle both RPMTAG_SUGGESTSNAME (as done in SuSE and in Mandriva > 2008.0)
  and RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK (as done in Mandriva 2008.0)
- 3.02:
- fix "make test" on rpm 4.4.2.2
- fix rpm 4.5 support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Pixel <pixel@mandriva.com> 3.01-1mdv2008.1
+ Revision: 117313
- 3.01: add URPM::DB::verify()

* Tue Dec 11 2007 Pixel <pixel@mandriva.com> 3.00-1mdv2008.1
+ Revision: 117185
- 3.00:
- replace ->import_needed_pubkeys and ->import_pubkey in favor of
  import_needed_pubkeys_from_file() and ->import_pubkey_file
  (! this breaks API !)
- drop $package->upgrade_files() (unused for a long time afaik)
- rpm.org HEAD support
- conflicting with urpmi & drakx-installer-stage2 which use old
  ->import_needed_pubkeys API
- enable "make test" again

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix URL

* Thu Nov 22 2007 Pixel <pixel@mandriva.com> 2.10-1mdv2008.1
+ Revision: 111320
- 2.10:
- much simpler --auto-select algorithm
  (fixes #35718, ie auto-selecting with strict-arch)
  (!! DANGEROUS CHANGE !!)
- rpm 4.5 support (thanks to peroyvind) (#35323)
- 2.09: use a simple function to return simple string list from header
  (fixes getting >4096 long rpm changelogs)
  (!! static buffer size limitation in callback_list_str_xpush() should be fixed !!)
- 2.08: fix build on rpm 4.4.2.2

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - make queryformat conditional for %%rpm_version

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 2.07-1mdv2008.0
+ Revision: 94166
- 2.07:
- prefer precompiled kmod packages corresponding to installed kernels
- don't resolve suggested virtual packages if already installed (#34376)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 2.06-1mdv2008.0
+ Revision: 93781
- 2.06: also handle promotion via obsolete for conflicts

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 2.05-1mdv2008.0
+ Revision: 93580
- 2.05:
- package promotion must respect strict_arch
- enhance sorted graph by better taking into account conflicts from state->{rejected}
  (fixes "big transaction" in urpmi split-transactions--strict-require.t test)

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 2.04-1mdv2008.0
+ Revision: 93326
- 2.04: handle promotion via obsolete, not only provides

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 2.03-1mdv2008.0
+ Revision: 91452
- 2.03: fix bug doing "urpmi kernel-source"

* Tue Sep 18 2007 Pixel <pixel@mandriva.com> 2.02-1mdv2008.0
+ Revision: 89712
- 2.02:
- prefer every kernel-<flavor>-devel-<version> packages for which
  kernel-<flavor>-<version> is selected
- fix regression in 2.00: we can't cache the platform, cache the result of
  is_arch_compat instead

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 2.01-1mdv2008.0
+ Revision: 85620
- bug fix release, 2.01:
- fix bug occurring with --keep
- fix regression in 2.00: keep_unrequested_dependencies is still used by
  installer. restore it, but must now be set trough
  $urpm->{keep_unrequested_dependencies}

* Thu Sep 13 2007 Pixel <pixel@mandriva.com> 2.00-1mdv2008.0
+ Revision: 85088
- new major release 2.00 since many things have changed in the algorithm
  (but no API breakage)
- speedup is_arch_compat (7 times faster) by keeping the platform in a cache
- do not propose packages for non installed locales
- pass the prefered choices to {callback_choices}: this allows urpmi to select
  all the prefered packages according to installed locales
- handle promote for conflict from installed package
  (fixes test_gh() from urpmi split-transactions--promote test case)
- handle promote from installed package which require a unselected package,
  whereas new package does not require it anymore
  (cf test_d & test_e from split-transactions--conflict urpmi test case)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.80-1mdv2008.0
+ Revision: 78613
- bug fix release, 1.80:
- fix bug in sort_graph (used by build_transaction_set)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.79-1mdv2008.0
+ Revision: 78485
- bug fix release, 1.79:
- fix bug in sort_graph (used by build_transaction_set)

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 1.78-1mdv2008.0
+ Revision: 77001
- bug fix release, 1.78
- fix dead-loop in build_transaction_set (#33020)

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 1.77-1mdv2008.0
+ Revision: 73531
- new release, 1.77
- disable "dropping tags from rpm header" until we can safely use it

* Tue Aug 28 2007 Pixel <pixel@mandriva.com> 1.76-1mdv2008.0
+ Revision: 72755
- new release, 1.76
- build_transaction_set: new sort algorithm which allow returning sets of
  circular dependent packages, taking into account obsoleted packages
  (fixes #31969). It may still fail in presence of conflicts
- allow running transaction with justdb option
- fix split_length > 1
  (eg: "urpmi --split-length 2 a b c" will only install 2 pkgs)
- spec2srcheader: workaround parseSpec returning a header where ->arch is set
  to %%{_target_cpu} whereas we really want a header similar to .src.rpm
  (see #32824)

* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 1.75-1mdv2008.0
+ Revision: 62370
- new release, 1.75
- fix dropping tags from rpm header.
  it hasn't work since MDK8.1 and rpm 4.0.
  it may break urpmi!! but potentially allows a much smaller hdlist.cz :)
- new release, 1.74
- sort choices per media, then per version

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 1.73-1mdv2008.0
+ Revision: 61936
- new release, 1.73
- allow running transaction with replagekgs option

* Fri Aug 10 2007 Pixel <pixel@mandriva.com> 1.72-1mdv2008.0
+ Revision: 61597
- new release, 1.72
- modify parse_hdlist so that partial hdlist reading can be used
  (needed when some stuff is already done in the callback)

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.71-1mdv2008.0
+ Revision: 60857
- new release 1.71
- compilation fixes on rpm < 4.4.8

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.70-1mdv2008.0
+ Revision: 60842
- new release 1.70
- compilation fixes on rpm < 4.4.8

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.69-1mdv2008.0
+ Revision: 60823
- new release, 1.69
- "suggests" are no more handled as "requires"
- resolve_requested support "suggests": a newly suggested package is installed
  as if required (can be disabled with option no_suggests)

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 1.68-1mdv2008.0
+ Revision: 58583
- new release, 1.68
- add $trans->Element_version and $trans->Element_release

* Thu Jul 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.67-1mdv2008.0
+ Revision: 48576
- 1.67:
  o fix spec2header
  o add functions to evaluate arch/os/platform

* Mon Jul 02 2007 Pixel <pixel@mandriva.com> 1.66-1mdv2008.0
+ Revision: 47155
- new release, 1.66:
- fix --auto-select skipping some packages because of other packages providing
  a more recent version, but no obsolete between those packages.
  the fix is to revert commit from Aug 2002:
    "fixed propable old package (according provides) requested by
     request_packages_to_upgrade."

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.65-1mdv2008.0
+ Revision: 42313
- 1.65 (really fix arch_score evaluation)

* Tue Jun 12 2007 Pixel <pixel@mandriva.com> 1.64-1mdv2008.0
+ Revision: 38119
- bug fix release 1.64 for rpm 4.4.8
- hack on $pkg->is_arch_compat to make it return true for noarch packages
  when using rpm 4.4.8 (#31314)

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.63-4mdv2008.0
+ Revision: 36192
- rebuild with correct optflags

  + Olivier Thauvin <nanardon@mandriva.org>
    - really rebuild against rpm 4.4.8
    - rebuild for next rpm

* Wed May 09 2007 Pixel <pixel@mandriva.com> 1.63-1mdv2008.0
+ Revision: 25742
- new release, 1.63
- add $trans->Element_fullname

* Thu May 03 2007 Pixel <pixel@mandriva.com> 1.62-1mdv2008.0
+ Revision: 21554
- new release, 1.62
- pass the virtual package name as a parameter to {callback_choices} in
  ->resolve_requested
- add $trans->NElements and $trans->Element_name
  to be able to display name of uninstalled package in callback_uninst
- fix b--obsoletes-->a and c--conflicts-->a prompting for upgrading a
  (need a fix in urpmi which rely on the $state->{rejected}
   to upgrade (-U) b instead of installing (-i) it)


* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 1.60-1mdv2007.1
+ Revision: 138215
- new release, 1.60
- more debugging hooks
- create $urpm->packages_providing($name) and use it
- create $urpm->packages_by_name($name)

* Thu Mar 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.59-1mdv2007.1
+ Revision: 130646
- 1.59:
  o rpm 4.4.8 adaptions
  o load rpm config files at module load, improve the mechanism

* Wed Feb 14 2007 Pixel <pixel@mandriva.com> 1.58-1mdv2007.1
+ Revision: 120987
- new release
- don't check signature and digest in ->traverse and ->traverse_tag
  (=> x15 speedup here, ie x2.5 speedup on urpmi --auto-select and x2 on rpmdrake)

* Fri Feb 09 2007 Pixel <pixel@mandriva.com> 1.57-1mdv2007.1
+ Revision: 118517
- new release, 1.57
- allow upgrading from noarch to x86_64 even if strict-arch

* Fri Jan 19 2007 Pixel <pixel@mandriva.com> 1.56-1mdv2007.1
+ Revision: 110559
- new release, 1.56
- tell perl that strings from rpm headers are utf8
- add URPM::bind_rpm_textdomain_codeset() to set encoding of messages returned
  by rpmlib, and tell perl that those strings are utf8
- really use strict-arch by default on x86_64

* Wed Jan 10 2007 Pixel <pixel@mandriva.com> 1.55-1mdv2007.1
+ Revision: 106990
- bug fix release, 1.55
- fix "not selecting foo-1 since the more recent foo-1 is installed" causing
  urpmi to try to remove the package it wants to install (#28076)

* Tue Jan 09 2007 Pixel <pixel@mandriva.com> 1.54-1mdv2007.1
+ Revision: 106597
- new release, 1.54
- if we have a choice between foo-1 and bar-1 and foo-2 is installed,
  prefering bar-1 instead of foo-1
  (otherwise we can hit: "the more recent foo-2 is installed, but does not
  provide xxx whereas foo-1 does", cf bug #27991)
- bar is needed, foo-1 does provide bar, installed foo-2 does not provide bar:
  do not let the algorithm use foo-2 as if it also provides bar
- allow understanding what ->resolve_requested is doing through a callback ($urpm->{debug_URPM})
- cleanup some code in ->resolve_requested
- make the documentation for ->is_arch_compat more clear
- remove a warning in "perl Makefile.PL" (and would help "make test")

* Mon Jan 08 2007 Pixel <pixel@mandriva.com> 1.53-1mdv2007.1
+ Revision: 105460
- add missing files to the tarball to allow make test
- get rids of some "used of uninitialized value"

* Mon Dec 04 2006 Pixel <pixel@mandriva.com> 1.52-1mdv2007.1
+ Revision: 90367
- much stricter synthesis parsing:
  o fail on first error,
  o correctly handle gzread errors,
  o correctly handle parsing another synthesis after a buggy one

* Fri Dec 01 2006 Pixel <pixel@mandriva.com> 1.51-1mdv2007.1
+ Revision: 89808
- ensure verify_signature, parse_rpm and update_header do not segfault on weird rpm

* Thu Nov 30 2006 Pixel <pixel@mandriva.com> 1.50-1mdv2007.1
+ Revision: 88899
- fix segfault when using --excludepath (Thierry Vignaud)

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.49-1mdv2007.1
+ Revision: 86902
- strict-arch should not imply that noarch can't upgrade the real arch (#22558)

* Tue Nov 21 2006 Pixel <pixel@mandriva.com> 1.48-1mdv2007.1
+ Revision: 85725
- default to strict-arch on 64bits (tvignaud)
- handle empty hdlist.cz/synthesis.cz (in build_hdlist, build_synthesis, parse_hdlist, parse_synthesis)
- parse_rpms_build_headers: allow asking for packing (and so fixing an error in urpmi)
- documentation & comments enhancement

* Tue Oct 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.47-1mdv2007.0
+ Revision: 65574
- Version 1.47:
  . Ignore self-obsoletes (Pixel)
  . Fix a bogus check, avoids some infinite loops

* Thu Sep 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.46-1mdv2007.0
+ Revision: 60264
- Version 1.46 :
  . prefer stripped kernel source in choices list (needs to be refined)
  . fix URL in spec file

* Tue Aug 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.45-1mdv2007.0
+ Revision: 53955
- 1.45: fix a FD leak (P.Terjan); fix urpmi --strict-arch with SRPMS; cleanup
- Import perl-URPM

* Tue Jun 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.44-1mdv2007.0
- Fixes for rpm 4.4.6

* Wed May 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- Fix urpmi .spec by loading macros beforehand (Olivier Thauvin)

* Tue May 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- Fix FD leak (Pascal Terjan)

* Wed May 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.41-1mdk
- Use more recent defines from the rpmlib
- Add a function to traverse transactions

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.40-1mdk
- Fixes for rpm 4.4.5
- Fix traversing rpmdb for "triggeredby" relationship

* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.39-1mdk
- More memory protection
- Fix gcc options

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.38-1mdk
- Fix deallocation of rpm transactions

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.37-1mdk
- Rewrite verify_rpm(), which wasn't working with recent rpms
  (note incompatible API change)
- New function verify_signature()
- Make sure -fno-strict-aliasing is used for compilation
- More docs

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.36-1mdk
- Add flag ignorearch for installations

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-1mdk
- repackage flag bug fix

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.34-1mdk
- Add $pkg->installtid method
- Doc nits, code cleanup
- No need for an explicit dependency on perl-base

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.33-1mdk
- Add repackage flag to run transactions

* Wed Jan 25 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.32-1mdk
- Minor modification to spec2srcheader()

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.31-1mdk
- New function spec2srcheader() (Olivier Thauvin)

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-2mdk
- Rebuild for rpm 4.4.4
- Fix a regression test

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-1mdk
- Fix epoch comparison bug
- Be compatible with rpm 4.4.3
- Add a URPM::Package::dump_flags debug method
- C code and makefile cleanup
- Don't require bzip2 anymore

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.29-1mdk
- Don't require packdrake, use MDV::Packdrakeng instead
- Support for --ignoresize

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.28-1mdk
- add some options to parse_rpm (nomd5, nopayload) (Olivier Thauvin)
- Build process cleanup

* Sat Sep 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.27-1mdk
- make add_macro quote embedded newlines. add_macro_noexpand now works like
  the previous version (i.e. like in the rpmlib)

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- Add noscripts option to run transactions

* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- Better handle bad file descriptors returned by transaction callbacks (Pixel)
- Doc fixes

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-3mdk
- Allow to rebuild under non-C locales

* Fri Jul 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-2mdk
- Rebuild for rpm 4.4.2
- Doc nits

* Fri Jul 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- Add rpmErrorWriteTo() and rpmErrorString()

* Fri Jun 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.23-1mdk
- add setVerbosity function

* Wed Jun 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.22-1mdk
- Add make_delta_rpm function

* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.21-1mdk
- Add the URPM::Package::payload_format method

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 1.20-3mdk
- Rebuild for rpm 4.4.1 (amd64)

* Tue May 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-2mdk
- Rebuild for rpm 4.4.1

* Thu May 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- Adaptations for rpm 4.4.1 (Olivier Thauvin)
- More deprecation for RPMSENSE_PREREQ
- Remove rpm 4.0 support
- when no preferred locale is found, put locales-en in front of choice list
  (bug #15628)

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.11-1mdk
- Speed optimisation for updating media

* Wed Mar 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- Prepare for obsolescence of PreReq rpm tag, introduce equivalent
  RPMSENSE_SCRIPT_* tags

* Tue Feb 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.09-1mdk
- Force recomputation of rejected packages when deleting some in installation
  dependency resolution

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.08-1mdk
- Add macro handling code (O. Thauvin)

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-4mdk
- Require perl-base >= 2:5.8.6 actually

* Fri Jan 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-3mdk
- Require perl-base >= 5.8.6
- Error handling nits.

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-2mdk
- Require packdrake (and no longer rpmtools)

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- Now returns the list of chosen packages sorted by descending version.

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- Don't fork a packdrake to build hdlists anymore, use Packdrakeng.pm instead.
- Remove unused requires.
- Add ChangeLog in documentation.

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.05-1mdk
- Allow to use non-contiguous selection ranges (Olivier Thauvin)

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-1mdk
- More info reported about failures in dependency resolution.

* Thu Oct 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-2mdk
- Support for urpmi --strict-arch option
- Multiarch fix (Gwenole Beauchesne)
- Don't use $TMPDIR if not writable

* Mon Aug 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-1mdk
- add rpmvercmp binding (from perl-Hdlist)

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.02-1mdk
- From now, never promote epochs in comparing versions.

* Thu Aug 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-1mdk
- Better fix for packages that obsolete themselves (Franois Pons)
- Protection against broken packages with bad fullnames (with an "@")

* Tue Aug 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- Protection against packages that obsolete themselves.
- Backwards compatibility with perl 5.6.
- Cleanups.

* Sat Jul 31 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.99-1mdk
- A small modification in the algorithm that searches for virtual provides:
  don't give a choice between several packages that are already installed.

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-2mdk
- Rebuild for new perl

* Fri Jul 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-1mdk
- Add a function URPM::stream2header()

* Thu Jul 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.97-1mdk
- Generate man page

* Tue Jul 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.96-1mdk
- Simplify the parsing of skip.list and inst.list files
- Segfault fixes by Olivier Thauvin

* Sat May 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-2mdk
- Don't include older packages than the installed ones in the dependencies
  (except when urpmi is invoked with --allow-force)

* Fri May 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-1mdk
- Add a way to make some error messages non-fatal

* Sat May 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-13mdk
- A few bugfixes
- Add the methods $pkg->queryformat() and $urpm->list_rpm_tag()
- More tests

* Thu Apr 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-12mdk
- cleanup and documentation

